#!/bin/sh

# 首先将 CRLF 统一替换为 LF： sed -i 's/\r$//' *.sh

# 0. git pull
git pull

## 1. Install CRDs into the K8s cluster specified in ~/.kube/config.
make install

## 2. Deploy controller to the K8s cluster specified in ~/.kube/config.
make deploy IMG=devstar.cn/devstar/devcontainer-operator:build-f42c51cbef59584977e74f4fa100e350b8ca3c9d

# 部署效果：
# kubectl get deployment -n devcontainer-operator-system  devcontainer-operator-controller-manager
#    NAME                                       READY   UP-TO-DATE   AVAILABLE   AGE
#    devcontainer-operator-controller-manager   1/1     1            1           50m
